local ray_shader = require 'ray_shader'

local time
local shader
local width, height

function love.load()
	shader = love.graphics.newShader(ray_shader.fragmentcode,ray_shader.vertexcode)

	time  = 0
end

function love.update(dt)
	time = time + dt

	width = love.graphics.getWidth()
	height= love.graphics.getHeight()

	shader:send("screenWidth",width)
	shader:send("screenHeight",height)
	shader:send("time",time);

	if(love.keyboard.isDown("escape") == true) then
		love.event.quit()
	end
end

function love.draw()
	love.graphics.setShader(shader)
	love.graphics.rectangle('fill', 0,0,width,height)
	love.graphics.setShader()
end
